<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <!-- Product id (pid) - will be HIDDEN - used to pass to other activity -->

    <TextView
        android:id="@+id/pid"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" />

    <!-- Name Label -->

    <LinearLayout
        android:id="@+id/list"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"

        >

             <LinearLayout
            android:id="@+id/listname"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:weightSum="4"
            android:layout_weight="7">

            <LinearLayout
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="bottom"
                android:weightSum="4">

                <TextView
                    android:id="@+id/workoutName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="5dp"
                    android:layout_weight="3"
                    android:text="workout name"
                    android:textColor="#333333"
                    android:textSize="24sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/lat"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="2dp"
                android:text="position"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textColor="@color/colorPrimary"
                android:textSize="12sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/lng"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="2dp"
                android:text="position"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textColor="@color/colorPrimary"
                android:textSize="12sp"
                android:visibility="gone" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>